Loading...
Searching...
No Matches
parser.cpp File Reference
`#include "ada/parser-inl.h"`
`#include <limits>`
`#include <ranges>`
`#include "ada/character_sets-inl.h"`
`#include "ada/common_defs.h"`
`#include "ada/log.h"`
`#include "ada/unicode.h"`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::parser
| Internal URL parsing implementation.

## Functions

template<typename result_type = url_aggregator, bool store_values = true>
result_type | ada::parser::parse_url_impl (std::string_view user_input, const result_type *base_url=nullptr)
template url | ada::parser::parse_url_impl (std::string_view user_input, const url *base_url=nullptr)
template url_aggregator | ada::parser::parse_url_impl (std::string_view user_input, const url_aggregator *base_url=nullptr)
template<typename result_type = url_aggregator>
result_type | ada::parser::parse_url (std::string_view user_input, const result_type *base_url=nullptr)
template url | ada::parser::parse_url< url > (std::string_view user_input, const url *base_url)
template url_aggregator | ada::parser::parse_url< url_aggregator > (std::string_view user_input, const url_aggregator *base_url)